Bug 803152 - Custom data validator requires documenting from community source
Custom data validator requires documenting from community source
Status: ON_QA
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.x
All All
unspecified Severity high
: ---
: 5.2.x
Assigned To: mmurray
Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 23:37 EDT by Jared MORGAN
Modified: 2015-08-09 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8766 by jaredmorgs at 2012-07-04 00:53:20 EDT (show)
8766 by jaredmorgs at 2012-07-04 00:53:20 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#803152 - Added user name validator configuration information to the guide, based on community source as reference info.

16 files changed:

  • epp/docs/branches/5.2/Installation_Guide/en-US/Book_Info.xml (+3 / -3)
  • epp/docs/branches/5.2/Installation_Guide/en-US/ClusteringConfiguration.xml (+1 / -4)
  • epp/docs/branches/5.2/Installation_Guide/en-US/DatabaseConfiguration.xml (+11 / -45)
  • epp/docs/branches/5.2/Installation_Guide/en-US/GadgetProxyConfig.xml (+1 / -4)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Getting_Started.xml (+4 / -0)
  • epp/docs/branches/5.2/Installation_Guide/en-US/HTTPSConfiguration.xml (+2 / -8)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Installation_Guide.xml (+2 / -2)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Installation_With_ZIP_Download.xml (+5 / -14)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Introduction.xml (+1 / -0)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Native_Components.xml (+8 / -24)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Post_Installation.xml (+8 / -7)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Revision_History.xml (+14 / -2)
  • epp/docs/branches/5.2/Installation_Guide/en-US/SP_Installation.xml (+2 / -9)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Test_Your_Installation.xml (+2 / -2)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Uninstall_JBoss.xml (+2 / -2)
  • epp/docs/branches/5.2/Installation_Guide/publican.cfg (+1 / -1)
8767 by jaredmorgs at 2012-07-04 00:54:12 EDT (show)
8767 by jaredmorgs at 2012-07-04 00:54:12 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#803152 - Added user name validator configuration information to the guide, based on community source as reference info.

1 file changed:

  • epp/docs/branches/5.2/Installation_Guide/en-US/ValidatorConfiguration.xml (+139 / -0)


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-03-13 23:37:24 EDT
Description of problem:

We're missing a chapter in the installation guide that was added to the reference guide in the community version of the documentation. Can you please add it? 

It's ValidatorConfiguration.xml in the Configuration directory of the community documentation.

https://source.jboss.org/browse/GateIn/portal/trunk/docs/reference-guide/en-US/modules/Configuration/ValidatorConfiguration.xml?hb=true
Comment 1 Jared MORGAN 2012-03-13 23:39:02 EDT
(In reply to comment #0)
> Description of problem:
> 
> We're missing a chapter in the installation guide that was added to the
> reference guide in the community version of the documentation. Can you please
> add it? 
> 
> It's ValidatorConfiguration.xml in the Configuration directory of the community
> documentation.
> 
> https://source.jboss.org/browse/GateIn/portal/trunk/docs/reference-guide/en-US/modules/Configuration/ValidatorConfiguration.xml?hb=true

This info belongs in the Reference Guide based on the svn link.
Comment 2 Jared MORGAN 2012-07-03 21:33:49 EDT
http://svn.jboss.org/repos/gatein/portal/trunk/docs/reference-guide/en-US/modules/Configuration/ValidatorConfiguration.xml is the actual link to the content. 

The source.jboss.org link tells me that the repository is disabled.
Comment 3 Jared MORGAN 2012-07-04 00:48:07 EDT
The information in the linked repo from the Reference Guide does indeed form part of the post-configuration information in the EPP Installation Guide.

I have removed the developer information from this section, because it is not supported in EPP, and does not relate to setting up the platform.
Comment 4 Jared MORGAN 2012-07-04 01:07:10 EDT
Package: JBoss_Enterprise_Portal_Platform-Installation_Guide-5.2-web-en-US-5.2.2-1.el6eng

Staged book: 

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/Installation_Guide/index.html

Changelog:
* Wed Jul 04 2012 Jared Morgan <> - 5.2.2-1
- BZ#803152 - Added a new section describing the user name validator, and how to configure it. Removed any unsupported developer information present in the community version. Added to post-installation section.

Remarks:

Search for "BZ#803152" to locate the changes for this issue.
Comment 7 Petr Penicka 2012-11-01 09:21:28 EDT
This issue has already been fixed by somebody else, checked both on stage and in the SVN repos. Switching to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.